footer>.footer {
    padding-inline: 15rem;
    padding-block: 8rem;
    background-color: var(--color-1);
    display: flex;
}

footer>.footer a {
    color: var(--color-light) !important;
}

footer>.footer a:hover {
    color: var(--color-3) !important;
}

footer>.footer>div:first-of-type {
    width: 60%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    color: var(--color-light);
}

footer>.footer>div:first-of-type>.icons {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

footer>.footer>div:first-of-type>.icons a {
    aspect-ratio: 1;
    padding: 10px;
    border: solid 1px #ffffff79;
    border-radius: 100px;
    transition: all 0.4 ease;
}

footer>.footer>div:first-of-type>.icons a:hover {
    background-color: var(--color-3);
    border-color: var(--color-3) !important;
}

footer>.footer>div:nth-of-type(2),
footer>.footer>div:nth-of-type(3) {
    width: 20%;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

footer>.footer>div:nth-of-type(2)>p,
footer>.footer>div:nth-of-type(3)>p {
    font-size: 1.125rem;
    color: var(--color-3);
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    line-height: 1;
}

footer>.footer>div:nth-of-type(2)>div,
footer>.footer>div:nth-of-type(3)>div {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    color: var(--color-light);
}

footer>.credits {
    padding-inline: 15rem;
    padding-block: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer>.credits p {
    font-size: 0.9rem !important;
}

footer>.credits>div:last-of-type>p {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    gap: 0 20px;
}

@media (max-width: 1600px) {

    footer>.footer,
    footer>.credits {
        padding-inline: 10rem;
    }
}

@media (max-width: 1260px) {

    footer>.footer,
    footer>.credits {
        padding-inline: 5rem;
    }
}

@media (max-width: 1024px) {
    footer>.footer {
        padding-inline: 2rem;
        padding-block: 4rem;
    }

    footer>.credits {
        padding-inline: 2rem;
        padding-block: 1rem;
        flex-direction: column-reverse;
        justify-content: center;
        gap: 10px;
    }

    footer>.credits p {
        text-align: center;
    }

    footer>.credits>div:last-of-type>p {
        justify-content: center;
    }
}

@media (max-width: 880px) {
    footer>.footer {
        flex-direction: column;
        gap: 2rem;
    }

    footer>.footer>div {
        width: 100% !important;
    }
}

@media (max-width: 768px) {

    footer>.footer,
    footer>.credits {
        padding-inline: 1rem;
    }
}